BSE(4)

NAME
bse - Broadcom GENET 10/100/1Gb Ethernet device

SYNOPSIS
bse* at acpi?
bse* at fdt?
brgphy* at mii?

DESCRIPTION
The bse driver provides support for the Broadcom GENET controller found on the Raspberry Pi4.

The bse driver supports several media types, which are selected via the ifconfig(8) command. The supported media types are:

media autoselect
    Attempt to autoselect the media type (default)

media 1000baseT mediaopt full-duplex
    Use 1000baseT on copper, full duplex

media 1000baseT mediaopt half-duplex
    Use 1000baseT on copper, half duplex

media 100baseTX mediaopt full-duplex
    Use 100baseTX, full duplex

media 100baseTX mediaopt half-duplex
    Use 100baseTX, half duplex

media 10baseT mediaopt full-duplex
    Use 10baseT, full duplex

media 10baseT mediaopt half-duplex
    Use 10baseT, half duplex

SEE ALSO
arp(4), brgphy(4), ifmedia(4), inet(4), intro(4), netintro(4), hostname.if(5), ifconfig(8)

HISTORY
The bse driver first appeared in OpenBSD 6.7.

AUTHORS
-nosplit The bse driver was written by Jared D. McNeill for NetBSD and ported to OpenBSD by Mark Kettenis <kettenis@openbsd.org>.